Subject: Re: [PATCH net-next 4/8] bridge: sysfs cleanup

From: Wang Chen <[email-masked]>
Date: Fri, 20 Jun 2008 10:17:34 +0800

Stephen Hemminger said the following on 2008-6-20 9:19:
> On Fri, 20 Jun 2008 08:55:15 +0800
> Wang Chen <[email-masked]> wrote:
> 
>> When I am doing this series of patch, I notice that bridge's sysfs are
>> not cleanuped after failure and bridge delete.
>>
>> Here is the patch for it.
>>
>> Signed-off-by: Wang Chen <[email-masked]>
> 
> Let me look at this, I don't think it used to be a problem before the
> conversion from class_device to just device model.
> 

But, sysfs_create_link/file will leave some junk after failing.
Don't we care about that?